package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.MwrCredAcci;

/**
 * 水利信用事故 数据层
 */
@Mapper
public interface MwrCredAcciMapper {

    /**
     * 查询水利信用事故信息
     * @param guid 查询条件
     * @return 水利信用事故信息
     */
    MwrCredAcci selectMwrCredAcciByGuid(String guid);

    /**
     * 查询水利信用事故列表
     * @param mwrCredAcci 水利信用事故查询条件
     * @return 水利信用事故集合
     */
    List<MwrCredAcci> selectMwrCredAcciList(MwrCredAcci mwrCredAcci);

    /**
     * 新增水利信用事故
     * @param mwrCredAcci 水利信用事故信息
     * @return 影响行数
     */
    int insertMwrCredAcci(MwrCredAcci mwrCredAcci);

    /**
     * 修改水利信用事故
     * @param mwrCredAcci 水利信用事故信息
     * @return 影响行数
     */
    int updateMwrCredAcci(MwrCredAcci mwrCredAcci);

    /**
     * 删除水利信用事故
     * @param guid 水利信用事故主键
     * @return 影响行数
     */
    int deleteMwrCredAcciByGuid(String guid);

    /**
     * 批量删除水利信用事故
     * @param guids 水利信用事故主键数组
     * @return 影响行数
     */
    int deleteMwrCredAcciByGuids(String[] guids);
}
